RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1780124 - eBPF: supported components [to be repeated in each version and updated with the support status]
Summary: eBPF: supported components [to be repeated in each version and updated with t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.4
Assignee: Lucie Vařáková
QA Contact: RHEL DPM
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-05 13:09 UTC by Jaroslav Klech
Modified: 2022-05-11 08:40 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Extended Berkeley Packet Filter for RHEL 8.6 The *Extended Berkeley Packet Filter (eBPF)* is an in-kernel virtual machine that allows code execution in the kernel space, in the restricted sandbox environment with access to a limited set of functions. The virtual machine executes a special assembly-like code. The *eBPF* bytecode first loads to the kernel, followed by its verification, code translation to the native machine code with just-in-time compilation, and then the virtual machine executes the code. Red Hat ships numerous components that utilize the *eBPF* virtual machine. Each component is in a different development phase, and thus not all components are currently fully supported. In RHEL 8.6, the following *eBPF* components are supported: * The *BPF Compiler Collection (BCC)* tools package, which provides tools for I/O analysis, networking, and monitoring of Linux operating systems using *eBPF*. * The *BCC* library which allows the development of tools similar to those provided in the *BCC* tools package. * The *eBPF for Traffic Control (tc)* feature, which enables programmable packet processing inside the kernel network data path. * The `bpftrace` tracing language * The *eXpress Data Path (XDP)* feature, which provides access to received packets before the kernel networking stack processes them, is supported under specific conditions. For more information see, link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/8.4_release_notes/index#BZ-1952421[XDP is conditionally supported] and link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/configuring_and_managing_networking/index#ref_overview-of-networking-ebpf-features-in-rhel_assembly_understanding-the-ebpf-features-in-rhel[Overview of networking eBPF features in RHEL]. * The `libbpf` package, which is crucial for bpf related applications like `bpftrace` and `bpf/xdp` development. * The `xdp-tools` package, which contains userspace support utilities for the *XDP* feature, is now supported on the AMD and Intel 64-bit architectures. This includes the `libxdp` library, the `xdp-loader` utility for loading XDP programs, the `xdp-filter` example program for packet filtering, and the `xdpdump` utility for capturing packets from a network interface with XDP enabled. Note that all other *eBPF* components are available as Technology Preview, unless a specific component is indicated as supported. The following notable *eBPF* components are currently available as Technology Preview: * The `AF_XDP` socket for connecting the *eXpress Data Path (XDP)* path to user space For more information regarding the Technology Preview components, see xref:BZ-1559616[].
Clone Of:
Environment:
Last Closed: 2020-01-24 11:44:45 UTC
Type: Enhancement
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Note You need to log in before you can comment on or make changes to this bug.